<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.vlogiclabs.com
 * @since      1.0.0
 *
 * @package    Instant_Funnel_Machine
 * @subpackage Instant_Funnel_Machine/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
   
     <h2 class="nav-tab-wrapper">
					<a href="<?php echo get_admin_url(NULL , 'admin.php?page=instant-funnel-machine' ); ?>" class="nav-tab ">Registration Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=install-funnel-tab' ); ?>" class="nav-tab nav-tab-active">Install Funnel Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=my-funnels-tab' ); ?>" class="nav-tab">My Funnels Tab</a>
			
	</h2>
    
     <h1>Install Funnel</h1>
     

     
     
    <!--
    <?php if(isset($apiResponse)){ 
     if($apiResponse['error']){
    ?>
     <div class="error notice">
    <p><?php echo $apiResponse['message'];?></p>
    </div>
    <?php
        }else{?>
           <div class="updated notice">
    <p><?php echo $apiResponse['message'];?></p>
    </div> 
   <?php  } } 
   ?>-->
    
   <?php if($user==''){?>
   <div class="error notice">
    <p>You have not verified to the Instant Funnel Machine.</p>
    </div>
    <?php } else{ 
    global $wpdb;
     $table1 = $wpdb->prefix . "ifm";
     $table2 = $wpdb->prefix . "ifm_pages";
    ?> 
	<?php 
	if(isset($return_data)){
		if($return_data!=0){?>
			<div class="updated notice">
            <p>Page has been Updated Successfully</p>
           </div> 
		<?php
		}
	}
	?>
    <div id="poststuff" class="">

        <div id="post-body">
            <div id="post-body-content">
                <form method="post" id="load_form" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
                    <?php
			        // this prevent automated script for unwanted spam
			        if(function_exists('wp_nonce_field'))
			            wp_nonce_field('funnel_load', 'funnel_load');
			        ?>
                     
                    <table class="form-table">
                        <tr valign="top">
                            <th scope="row">
                                <label><?php _e("Load My Funnel", $this->plugin_name); ?></label>
                            </th>
                            <td >
                                <select id="funnel_list" required="true" onchange="call_api(this.value);">
                                
                                <option value="">Select Funnel</option>
                                 <?php 
                                 
                                 foreach($apiResponse as $funnel){
                                  ?>
                                   <option value='<?php echo $funnel['funnel_id']; ?>' <?php if(isset($current_funnel)){if($current_funnel==$funnel['funnel_id']){ echo "selected";}}?>><?php echo $funnel['funnel_name']; ?></option>
                              
                              <?php  } ?>
                                </select>
                                <em><?php _e("Select any Funnel from List and Load the Funnel", $this->plugin_name); ?></em>

                            </td>
                            <td>
                            <p class="submit">
                            <input type="submit" class="button-primary"  value="<?php _e('Load Funnel') ?>" /></p></td>
                        </tr>
                    </table>
        <?php  $result = $wpdb->get_results ( "SELECT * FROM $table1 order by id desc" );
    foreach ($result as $print )   {
    	$funnelid = $print->funnel_id;
   ?>            
        <table class="widefat">
		<thead>
			<tr>
				<th>Funnel Name</th>
				<th>Funnel Pages</th>
				<th>Page Title</th>
				<th>Action</th>
				<!--<th>Allow Signups</th>
				<th></th>-->
			</tr>
		</thead>
		<tbody class="ui-sortable">
			<tr class="ui-sortable-handle">			
				<td class="level_name"><strong><?php echo $print->funnel_name;?></strong></td>
				<td>
				<ul>
				<?php $result2 = $wpdb->get_results ( "SELECT * FROM $table2 where funnel_id=$funnelid" );
    foreach ($result2 as $print2 )   { ?>
					<li class="links_css"><a href="<?php echo get_permalink($print2->page_id);?>" target="_blank"><?php echo get_permalink($print2->page_id);?></a>
					</li>					
					<?php } ?>
				</ul>			   
				</td>
				<td class="level_name"> 
				  <ul>
				<?php $result3 = $wpdb->get_results ( "SELECT * FROM $table2 where funnel_id=$funnelid" );
    foreach ($result3 as $print3 )   { ?>
					<li class="links_css"><a href="<?php echo get_permalink($print3->page_id);?>" target="_blank"><?php echo get_the_title($print3->page_id);?></a>
					</li>					
					<?php } ?>
				</ul>
                			
				</td>
				<td>
				<ul>
				<?php $result4 = $wpdb->get_results ( "SELECT * FROM $table2 where funnel_id=$funnelid" );
    foreach ($result4 as $print4 )   { ?>
				<li><a title="<?php echo get_the_title($print4->page_id);?>" data-name="<?php echo get_the_title($print4->page_id);?>" data-id="<?php echo $print4->page_id;?>"   href="#" class="button-primary title_pages" data-toggle="modal" data-target="#myModal">Change Title</a>
				<a title="<?php echo basename(get_permalink($print4->page_id));?>" data-slug="<?php echo basename(get_permalink($print4->page_id));?>" data-id="<?php echo $print4->page_id;?>"   href="#" class="button-primary slug_pages" data-toggle="modal" data-target="#myModal2">Change Slug</a></li>
				<?php } ?>
				</ul>
				</td>
			</tr>			  
		</tbody>
	</table>
	<?php } ?>
                
                    <div>
                         <input type="hidden" name="funnel_id" value="" id="funnel_id"/>
                        <!--<input type="hidden" name="_nonce" value="<?php echo wp_create_nonce('wpcrl-admin' . get_current_user_id()); ?>" />-->
                        <!--<p class="submit">
                            <input type="submit" class="button-primary"  value="<?php _e('Save Changes') ?>" />
                        </p>-->
                    </div>		
                </form>
            </div>
        </div>
    </div>
    
    <?php }?>
</div>
<!-- start modal for Change Title-->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <!--<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>-->
        <h4 class="modal-title" id="myModalLabel">Change Page Title</h4>
      </div>
      <div class="modal-body">
        <form role="form" method="POST" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>" class="form-horizontal">
		<input type="hidden" id="play_id" name="play_id" value="">
		<script>
			jQuery(document).ready(function(){
				jQuery(".title_pages").click(function(){
					var $current =jQuery(this);
					var name = $current.attr('data-name');
					var id = $current.attr('data-id');
					jQuery("#page_title").val(name);
					jQuery("#postid").val(id);
				});
			});
		</script>
		<div class="form-group">
							<div class="col-sm-9">

								<input type="text" placeholder="Change the Title" id="page_title" name="page_title" class="form-control custom-css" required="true" >
                               <input type="hidden" value="" name="postid" id="postid">
							   <input type="hidden" name="postidsubmit" value="1" />
							</div>
		</div>
		<button type="submit" class="button-primary margin-top-10">Update</button>
		</form>
      </div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       
      </div>
    </div>
  </div>
</div>	    
<!-- Modal End for Change Title -->
<!-- start modal for Change Slug-->
<div class="modal fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <!--<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>-->
        <h4 class="modal-title" id="myModalLabel">Change Page Slug</h4>
      </div>
      <div class="modal-body">
        <form role="form" method="POST" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>" class="form-horizontal">
		<input type="hidden" id="play_id" name="play_id" value="">
		<script>
			jQuery(document).ready(function(){
				jQuery(".slug_pages").click(function(){
					var $current =jQuery(this);
					var slug = $current.attr('data-slug');
					var pid = $current.attr('data-id');
					jQuery("#page_slug").val(slug);
					jQuery("#post_id").val(pid);
				});
			});
		</script>
		<div class="form-group">
							<div class="col-sm-9">
								<input type="text" placeholder="Change the Slug" id="page_slug" name="page_slug" class="form-control custom-css" required="true" >
                               <input type="hidden" value="" name="post_id" id="post_id">
							   <input type="hidden" name="postidsubmit2" value="1" />
							</div>
		</div>
		<button type="submit" class="button-primary margin-top-10">Update</button>
		</form>
      </div> 
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
       
      </div>
    </div>
  </div>
</div>	    
<!-- Modal End for Change Slug -->