<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.vlogiclabs.com
 * @since      1.0.0
 *
 * @package    Instant_Funnel_Machine
 * @subpackage Instant_Funnel_Machine/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
   
     <h2 class="nav-tab-wrapper">
					<a href="<?php echo get_admin_url(NULL , 'admin.php?page=instant-funnel-machine' ); ?>" class="nav-tab ">Registration Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=install-funnel-tab' ); ?>" class="nav-tab">Install Funnel Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=my-funnels-tab' ); ?>" class="nav-tab nav-tab-active">My Funnels Tab</a>
			
	</h2>
    
     <h1>My Funnels</h1>
      
   <?php if($user==''){?>
   <div class="error notice">
    <p>You have not verified to the Instant Funnel Machine.</p>
    </div>
    <?php } else{ 
    global $wpdb;
     $table1 = $wpdb->prefix . "ifm";
     $table2 = $wpdb->prefix . "ifm_pages";
    ?> 
	<?php 
	if(isset($results)){
		if($results!=0){?>
			<div class="updated notice">
            <p>Funnel has been deleted successfully</p>
           </div> 
		<?php
		}
	}
	?>
    <div id="poststuff" class="">

        <div id="post-body">
            <div id="post-body-content">
                <form method="post" id="myfunnel" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
                    <?php
			        // this prevent automated script for unwanted spam
			        if(function_exists('wp_nonce_field'))
			            wp_nonce_field('funnel_load', 'funnel_load');
			        ?>
                     
                   
            
        <table class="widefat">
		<thead>
			<tr>
				<th>Funnel Name</th>
				<th>Squeeze Page</th>
				<th>Thankyou Page</th>
				<th>Action</th>
				<!--<th>Allow Signups</th>
				<th></th>-->
			</tr>
		</thead>
		<tbody class="ui-sortable">
		  <?php  $result = $wpdb->get_results ( "SELECT * FROM $table1 order by id desc" );
		  if($result!=null){
			foreach ($result as $print )   {
				$funnelid = $print->funnel_id;
		   ?>       
			<tr class="ui-sortable-handle" id="row-<?php echo $funnelid;?>">			
			 <td class="level_name"><strong><?php echo $print->funnel_name;?></strong></td>
			 <td class="level_name">
			 <?php $squeeze_id = get_option('ifmp_squeeze_page_'.$funnelid);?>
			 <strong><a href="<?php echo get_permalink($squeeze_id);?>" target="_blank">View Squeeze Page</a></strong>
			 </td>
			 <td class="level_name">
			 <?php $thankyou_id = get_option('ifmp_thankyou_page_'.$funnelid);?>
			 <strong><a href="<?php echo get_permalink($thankyou_id);?>" target="_blank">View Thankyou Page</a></strong>
			 </td>
			  <input type="hidden" name="funnelid" value="<?php echo $funnelid;?>" id="funnel_id"/>
			 <td>
			  <a title="<?php echo $print->funnel_name;?>" data-id="<?php echo $funnelid; ?>" href="javascript:;" class="button-primary delete_btn_fnl" >Delete Funnel</a>
			  <div id="loader-<?php echo $funnelid;?>" style="display:none;">
			    <img src="<?php echo plugins_url('images/ajax-loader.gif', dirname(__FILE__)); ?>"/>
				
			  </div>
			  </td>
             
			</tr>
<?php } 
} else{?>
	<tr><td class="level_name">No funnels found</td></tr>
<?php }
?>			
		</tbody>
	</table>  	
                </form>
            </div>
        </div>
    </div>
    
    <?php }?>
</div>

