<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://www.vlogiclabs.com
 * @since      1.0.0
 *
 * @package    Instant_Funnel_Machine
 * @subpackage Instant_Funnel_Machine/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
   
     <h2 class="nav-tab-wrapper">
					<a href="<?php echo get_admin_url(NULL , 'admin.php?page=instant-funnel-machine' ); ?>" class="nav-tab nav-tab-active">Registration Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=install-funnel-tab' ); ?>" class="nav-tab">Install Funnel Tab</a>
		
					<a href="<?php echo get_admin_url(NULL ,'/admin.php?page=my-funnels-tab' ); ?>" class="nav-tab">My Funnels Tab</a>
			
	</h2>
    
     <h1>Instant Funnel Machine Settings</h1>
     
     <h3>Before You can start using the Instant Funnel Machine, You must complete the settings below.</h3>
     
     <h3>You must have already setup your Instant Funnel Machine Account and Profile to use this Plugin.</h3>
     
     
     <div class="update-nag notice">
    <p>This plugin will not work untill you have connected to Instant Funnel Machine.</p>
    </div>
    
    <?php if(isset($apiResponse)){ 
     if($apiResponse['error']){
    ?>
     <div class="error notice">
    <p><?php echo $apiResponse['message'];?></p>
    </div>
    <?php
        }else{?>
           <div class="updated notice">
    <p><?php echo $apiResponse['message'];?></p>
    </div> 
   <?php  } } 
   
   error_reporting(E_ERROR | E_PARSE);
   ?>
    
    
    <div id="poststuff" class="">

        <div id="post-body">
            <div id="post-body-content">
                <form method="post" id="reg_form" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
                    <?php
			        // this prevent automated script for unwanted spam
			        if(function_exists('wp_nonce_field'))
			            wp_nonce_field('funnel_registration', 'funnel_registration');
			        ?>
                     
                    <table class="form-table">

                        <tr valign="top">
                            <th scope="row">
                                <label><?php _e("Instant Funnel Machine Email", $this->plugin_name); ?></label>
                            </th>
                            <td>
                                <input type="email" name="email" value='<?php echo (!empty($apiResponse["email"])) ? $apiResponse["email"] : $user_info["email"]; ?>' class='wide' placeholder="Enter here the Email (ex: test@test.com)" />
                                <!--<em><?php _e("Enter here the Email (ex: test@test.com)", $this->plugin_name); ?></em>
-->

                            </td>
                        </tr>

                        <tr valign="top">
                            <th scope="row">
                                <label><?php _e("Instant Funnel Machine Password", $this->plugin_name); ?></label>
                            </th>
                            <td>
                                <input type="password" name="password" value='<?php echo (!empty($apiResponse["password"])) ? $apiResponse["password"] :  $user_info["password"]; ?>' class='wide' placeholder="Enter here the Password" />
                                <!--<em><?php _e("Enter here the Password", $this->plugin_name); ?></em>-->


                            </td>
                        </tr>

                        <tr valign="top">
                            <th scope="row">
                                <label><?php _e("Instant Funnel Machine License Key", $this->plugin_name); ?></label>
                            </th>
                            <td>
                                <input type="text" name="license" value='<?php echo (!empty($apiResponse["license_key"])) ? $apiResponse["license_key"] : $user_info["license"]; ?>' class='wide' placeholder="Enter here the License Key" />
                               <!-- <em><?php _e("Enter here the License Key (Ex: FkBtDR8cueSjqXLUh96ENdgRkxBfNcHt)", $this->plugin_name); ?></em>-->


                            </td>
                        </tr>


                    </table>


                    <div>
                         <input type="hidden" name="funnelsubmitted" value="1" />
                        <!--<input type="hidden" name="_nonce" value="<?php echo wp_create_nonce('wpcrl-admin' . get_current_user_id()); ?>" />-->
                        <p class="submit">
                            <input type="submit" class="button-primary" onclick="validatePage();" value="<?php _e('Save Changes') ?>" />
                        </p>
                    </div>		
                </form>
            </div>
        </div>
    </div>
</div>