<?php
class Load_Funnel{
	
	public function load_funnel_by_id($funnel_id)
	{
		$funnel = array(
	 	"funnel_id" => $funnel_id,
	 	);
		$url = "http://dev.instantfunnelmachine.com/index.php/Api/get_funnel_from_view/";
	 	
	 	$curlHandle = curl_init();
        
        $options = array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        //CURLOPT_HTTPHEADER => $headers,
       CURLOPT_POSTFIELDS => $funnel,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_ENCODING => "",
        CURLOPT_AUTOREFERER => true,
        CURLOPT_CONNECTTIMEOUT => 120,
        CURLOPT_TIMEOUT => 120,
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_SSL_VERIFYPEER => false,
    );
     curl_setopt_array($curlHandle, $options);
    
     // Execute
     $jsonEncodedApiResponse = curl_exec($curlHandle);
   // print_r($jsonEncodedApiResponse);
   // echo "<br>";
   $xmlpath = plugin_dir_path(dirname(__FILE__)) . 'admin/xml/funnel-'.$funnel_id.'.xml';
   $file = fopen($xmlpath,"w");
	fwrite($file,$jsonEncodedApiResponse);
	fclose($file);
      // Ensure HTTP call was successful
	    try {
	        try {
	            if ($jsonEncodedApiResponse === false) {
	                throw new \RuntimeException(
	                'API call failed with cURL error: ' . curl_error($curlHandle)
	                );
	            }
	        } catch (RuntimeException $e) {
	            throw $e;
	        }
	    } catch (Exception $e) {
	        $error['message'] = 'Message: ' . $e->getMessage();
	    }
    // Clean up the resource now that we're done with cURL
    curl_close($curlHandle);   
      //get_template_id
	 $get = new XML_Read();
	 $template_id = $get->get_xml_data($xmlpath,"template_id"); 
	 $funnel_name = $get->get_xml_data($xmlpath,"funnel_name"); 
     $template_name =  'template'.$template_id;   
     
     // call the templates
     $temp = array(
     "template_name" => $template_name,
     );
     //print_r($temp);
      $temp_url = "http://dev.instantfunnelmachine.com/index.php/Api/get_templates/";
     $temp_curl = new Curl();
     $response =  $temp_curl->call_curl($temp,$temp_url);
    // print_r($response);
      
       // create funnel template folder
      $path = plugin_dir_path(__FILE__)."../templates";
	    // $path = plugin_dir_path(__FILE__)."../templates/".$funnel_name;
       if (!file_exists($path)) {
	    mkdir($path, 0777, true);
		}
		
    $page_template = $funnel_name.'_'.$funnel_id.'.php';
    $temp_path_location = $path.'/'.$page_template;
     
     $pre_replace              = $get->get_xml_data($xmlpath,"preheadline"); 
     $head_replace             = $get->get_xml_data($xmlpath,"heading");
     $subhead_replace          = $get->get_xml_data($xmlpath,"subheading");
     $action_replace           = $get->get_xml_data($xmlpath,"action");
     $points_replace           = $get->get_xml_data($xmlpath,"points");
     $email_replace            = $get->get_xml_data($xmlpath,"email_placeholder");
     $name_replace             = $get->get_xml_data($xmlpath,"name_placeholder");
     $background_replace       = $get->get_xml_data($xmlpath,"background");
     $button_text_replace      = $get->get_xml_data($xmlpath,"button_text");
     $button_bgcolor_replace   = $get->get_xml_data($xmlpath,"button_bgcolor");
     $button_fontcolor_replace = $get->get_xml_data($xmlpath,"button_fontcolor");
     $button_border_replace    = $get->get_xml_data($xmlpath,"button_border");
     $button_fontsize_replace  = $get->get_xml_data($xmlpath,"button_fontsize");
     $button_style_replace     = $get->get_xml_data($xmlpath,"button_style");
     $button_width_replace     = $get->get_xml_data($xmlpath,"button_width");
     $button_height_replace    = $get->get_xml_data($xmlpath,"button_height");
     $video_url                = $get->get_xml_data($xmlpath,"video_url");
     $motion_path              = $get->get_xml_data($xmlpath,"motion_path");
     $product_image_path       = $get->get_xml_data($xmlpath,"product_image");
	 $ecover                   = $get->get_xml_data($xmlpath,"themes");
	 $username                 = $get->get_xml_data($xmlpath,"username");
	 $paypal_email             = $get->get_xml_data($xmlpath,"paypal_email");
	 $template_type            = $get->get_xml_data($xmlpath,"template_type");
	 $fb_pixel                 = $get->get_xml_data($xmlpath,"fb_pixel");
	 $tracking_code1           = $get->get_xml_data($xmlpath,"tracking_code1");
	 $tracking_code2           = $get->get_xml_data($xmlpath,"tracking_code2");
     
     $legal_pages = $get->get_xml_data($xmlpath,"legal_pages");
     if($background_replace!=''){
     $Change_bg = "background: url(".$background_replace.");";
     }
      $change_style =  "background: ".$button_bgcolor_replace.";color:".$button_fontcolor_replace.";border:".$button_border_replace." solid;font-size:".$button_fontsize_replace.";font-family:".$button_style_replace.";width:".$button_width_replace.";height:".$button_height_replace.";";
      
         $result = preg_replace('/{{preheading}}/', $pre_replace, $response);
      
        $result2 = preg_replace('/{{heading}}/', $head_replace, $result);  
       
        $result3 = preg_replace('/{{subheading}}/', $subhead_replace, $result2); 
       
        $result4 = preg_replace('/{{email}}/', $email_replace, $result3); 
        
        $result5 = preg_replace('/{{bgstyle}}/', $Change_bg, $result4); 
        
        $result6 = preg_replace('/{{btnvalue}}/', $button_text_replace, $result5); 
        
        $result7 = preg_replace('/{{btnstyle}}/', $change_style, $result6);
        
        $result8 = preg_replace('/{{name}}/', $name_replace, $result7);  
        
        $result9 = preg_replace('/{{actiontext}}/', $action_replace, $result8); 
         
        $result10 = preg_replace('/{{bulletstext}}/', $points_replace, $result9); 
         
        $result11 = preg_replace('/{{title}}/', $funnel_name , $result10); 
         
        $result12 = preg_replace('/{{funnelid}}/', $funnel_id , $result11);
		
        $result13 = preg_replace('/{{motionID}}/', $motion_path , $result12);  
        $result14 = preg_replace('/{{videoID}}/', $video_url , $result13);  
        $result15 = preg_replace('/{{productImage}}/', $product_image_path , $result14);  
        $result16 = preg_replace('/{{ecover}}/', $ecover , $result15);  

     $tempfile = fopen($temp_path_location,"w");
	 fwrite($tempfile,$result16);
	 fclose($tempfile);
	// Create page and assign templates programmatically.
	 $page   = new Create_Pages();
	 $insert = $page->funnel_page($funnel_name,$funnel_name,$page_template,$funnel_id);
	 
		 
		// importing thankyou page templates
		$thank_temp_url    = "http://dev.instantfunnelmachine.com/index.php/Api/get_thankyou_templates/";
	    $thank_temp_curl   = new Curl();
	    $thankyou_response =  $thank_temp_curl->call_curl($temp,$thank_temp_url);
		// $path
		$thankyou_file      = "thankyou_".$funnel_id.'.php'; 
		$thankyou_location  = $path.'/'.$thankyou_file;
		//get XML data of thankyou page
		$thankyou_headline  = $get->get_xml_data($xmlpath,"thankyou_headline");
		$welcome_message    = $get->get_xml_data($xmlpath,"welcome_message");
		$download_link_text = $get->get_xml_data($xmlpath,"download_link_text");
		$affilliate_id      = $get->get_xml_data($xmlpath,"affilliate_id");
		$product_id         = $get->get_xml_data($xmlpath,"product_id");
		//$bonus_link_text    = $get->get_xml_data($xmlpath,"bonus_link_text");
		$bonus_url          = $get->get_xml_data($xmlpath,"bonus_url");
		$banner_url         = $get->get_xml_data($xmlpath,"banner_image_url");
		$banner_bg          = $get->get_xml_data($xmlpath,"banner_background");
		$banner_text          = $get->get_xml_data($xmlpath,"banner_text");
		$ecover_path          = $get->get_xml_data($xmlpath,"themes");
		
	    $count_bonus          = $get->get_xml_data($xmlpath,"count_bonus");
		for($i=1;$i<=$count_bonus;$i++)
		{
			 $bonus_text = $get->get_xml_data($xmlpath,"bonus_link_text$i");
			
			if($bonus_text!=''){
				$bonus_headline = "Check Out These Free Bonuses!";
				$bonus_url       = $get->get_xml_data($xmlpath,"bonus_url$i");
			      $bonus_image_url = $get->get_xml_data($xmlpath,"bonus_image_url$i");
				if($bonus_image_url==''){
					$gift_bonus .= "<a href='".$bonus_url."' class='added_one' target='_blank'>".$bonus_text."</a>";	
				}
				if($bonus_image_url!=''){
					$gift_bonus .= "<a href='".$bonus_url."' class='added_one' target='_blank'><img src='".$bonus_image_url."' width='650px' height='100px'></a>";	
				}
			 
			}
		}
		$product_headline = '';
	if($product_id!=''){
		$jvzoo = array("affilliate_id" => $affilliate_id,"product_id" =>$product_id);
		$jvzoo_api_url = "http://dev.instantfunnelmachine.com/index.php/Api/get_jvzoo_products/";
		$jvzoo_curl   = new Curl();
	    $jvzoo_response =  $thank_temp_curl->call_curl($jvzoo ,$jvzoo_api_url);
		$banner_array = explode("{banner}",$banner_url);
		$product_headline = "Recommended Products";
		if($banner_array[0]!='' || $banner_array[1]!=''){
			
			$i=0;
			foreach($jvzoo_response as $product_detail)
			{
				
				$banner_section .= "<a class='ad_block margin-left' href='".$product_detail['link']."' target='_blank' title='".$product_detail['title']."'><img src='".$banner_array[$i]."' ></a>";
				
				//$thankyou_products .= "<div class='box_re_1'><h2>".$product_detail['title']."</h2><p>".substr($product_detail['description'],0,90)."...</p><a href='".$product_detail['link']."' class='recom_read' target='_blank' />Read More</a></div>";
			$i++;
			}
			
		}
		else
		{
			foreach($jvzoo_response as $product_detail){
			$banner_section .= "<div class='ad_block' style='background:".$banner_bg."'><span><a href='".$product_detail['link']."' target='_blank'>".$product_detail['title']."</a></span></div>";
			}
		}
	  }	
		if($template_type=="sales"){
         $downloadlink = "{{downloadlink}}";
		}else{
			 $downloadlink = "http://dev.instantfunnelmachine.com/index.php/Api/download_ebook/".$funnel_id;
			
		}
		$thank1 = preg_replace('/{{headline}}/', $thankyou_headline, $thankyou_response);
	    $thank2 = preg_replace('/{{message}}/', $welcome_message, $thank1);  
	    $thank3 = preg_replace('/{{downloadtext}}/', $download_link_text, $thank2);
	    $thank4 = preg_replace('/{{products}}/', $thankyou_products, $thank3);
	    $thank5 = preg_replace('/{{banner}}/', $banner_section, $thank4);
	    $thank6 = preg_replace('/{{bonuses}}/', $gift_bonus, $thank5);
	    $thank7 = preg_replace('/{{title}}/', $funnel_name, $thank6);
	    $thank8 = preg_replace('/{{downloadlink}}/', $downloadlink, $thank7);
	    $thank9 = preg_replace('/{{ecover_path}}/', $ecover_path, $thank8);
	    $thank10 = preg_replace('/{{bonusheadline}}/', $bonus_headline, $thank9);
	    $thank11 = preg_replace('/{{productsheadline}}/', $product_headline, $thank10);
	    $thank12 = preg_replace('/{{tracking_code1}}/', $tracking_code1, $thank11);
	    $thank13 = preg_replace('/{{tracking_code2}}/', $tracking_code2, $thank12);
	    $thank14 = preg_replace('/{{fb_pixel_code}}/', $fb_pixel, $thank13);
	        
	    $thankyou_title = $funnel_name." Thankyou Page";    
		 $thank_file = fopen($thankyou_location,"w");
		 fwrite($thank_file,$thank14);
		 fclose($thank_file);
		$page->thankyou_page($thankyou_title,$thankyou_title,$thankyou_file, $funnel_id,$funnel_name);
		
		//Start Legal page section
		 if($legal_pages=="yes")
		 {
		 	 $legaldata = array();
		 	 $legal_temp_url = "http://dev.instantfunnelmachine.com/index.php/Api/get_legal_templates/";
		     $legal_curl = new Curl();
		     $legal_reponse =  $legal_curl->call_curl($legaldata,$legal_temp_url);
		 	 $show_class = "show";
		 	$privacy = $get->get_xml_data($xmlpath,"privacy");
		 	if($privacy=="yes")
		 	{   $privacy_template = 'privacy_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' Privacy';
		 	    $privacy_location = $path.'/'.$privacy_template;
				$privcay_content = $get->get_xml_data($xmlpath,"privcay_content");
				
				$result = preg_replace('/{{title}}/', 'Privacy Page', $legal_reponse);
			    $result2 = preg_replace('/{{headline}}/', 'Privacy Page', $result);  
			    $result3 = preg_replace('/{{content}}/', $privcay_content, $result2);
			        
				 $privacyfile = fopen($privacy_location,"w");
				 fwrite($privacyfile,$result3);
				 fclose($privacyfile);
				$pageid = $page->legal_page($title,$title,$privacy_template, $funnel_id,$funnel_name);
	
				//include page_id into squeeze page footer and thankyou page footer
				$privacy_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$p_yes = preg_replace('/{{p_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{privacy}}./', $privacy_pageid , $p_yes);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				 $p_yes2 = preg_replace('/{{p_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{privacy}}./', $privacy_pageid , $p_yes2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
				 
				 
			}
			
			$tos = $get->get_xml_data($xmlpath,"tos");
		 	if($tos=="yes")				
		 	{   
		         $tos_template = 'tos_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' Terms';
		 	    $tos_location = $path.'/'.$tos_template;
				$tos_content = $get->get_xml_data($xmlpath,"tos_content");
				
				$tos1 = preg_replace('/{{title}}/', 'Terms of Service Page', $legal_reponse);
			    $tos2 = preg_replace('/{{headline}}/', 'Terms of Service Page', $tos1);  
			    $tos3 = preg_replace('/{{content}}/', $tos_content, $tos2);
			    
				 $tosfile = fopen($tos_location,"w");
				 fwrite($tosfile,$tos3);
				 fclose($tosfile);
				$pageid= $page->legal_page($title ,$title ,$tos_template, $funnel_id,$funnel_name);
				
				$tos_pageid = get_option('ifmp_'.$title);
				//include page_id into squeeze page footer and thankyou page footer
				
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$t_show = preg_replace('/{{t_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{tos}}./', $tos_pageid , $t_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				 $t_show2 = preg_replace('/{{t_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{tos}}./', $tos_pageid , $t_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
			$antispam = $get->get_xml_data($xmlpath,"antispam");
		 	if($antispam=="yes")
		 	{      
		         $spam_template = 'spam_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' Antispam';
		 	    $spam_location = $path.'/'.$spam_template;
				$spam_content = $get->get_xml_data($xmlpath,"antispam_content");
				
				$spam1 = preg_replace('/{{title}}/', 'Antispam Page', $legal_reponse);
			    $spam2 = preg_replace('/{{headline}}/', 'Antispam Page', $spam1);  
			    $spam3 = preg_replace('/{{content}}/', $spam_content, $spam2);
			    
				 $spamfile = fopen($spam_location,"w");
				 fwrite($spamfile,$spam3);
				 fclose($spamfile);
				$pageid= $page->legal_page($title,$title,$spam_template, $funnel_id,$funnel_name);
				
				//include page_id into squeeze page footer and thankyou page footer
				$spam_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$spam_show = preg_replace('/{{spam_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{spam}}./', $spam_pageid , $spam_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				$spam_show2 = preg_replace('/{{spam_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{spam}}./', $spam_pageid , $spam_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
			$earnings = $get->get_xml_data($xmlpath,"earnings");
		 	if($earnings=="yes")
		 	{   
		        $earning_template = 'earning_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' Earnings';
		 	    $earnings_location = $path.'/'.$earning_template;
				$earnings_content = $get->get_xml_data($xmlpath,"earnings_content");
				
				$earn1 = preg_replace('/{{title}}/', 'Earnings Page', $legal_reponse);
			    $earn2 = preg_replace('/{{headline}}/', 'Earnings Page', $earn1);  
			    $earn3 = preg_replace('/{{content}}/', $earnings_content, $earn2);
				
				 $earningsfile = fopen($earnings_location,"w");
				 fwrite($earningsfile,$earn3);
				 fclose($earningsfile);
				$page->legal_page( $title, $title,$earning_template, $funnel_id,$funnel_name);
				
				//include page_id into squeeze page footer and thankyou page footer
				$earning_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$e_show = preg_replace('/{{e_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{earnings}}./', $earning_pageid , $e_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				$e_show2 = preg_replace('/{{e_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{earnings}}./', $earning_pageid , $e_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
			$external = $get->get_xml_data($xmlpath,"external_links");
		 	if($external=="yes")
		 	{   
		        $external_template = 'external_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' External Links';
		 	    $external_location = $path.'/'.$external_template;
				$external_content = $get->get_xml_data($xmlpath,"external_links_content");
				
				$ex1 = preg_replace('/{{title}}/', 'External Links Page', $legal_reponse);
			    $ex2 = preg_replace('/{{headline}}/', 'External Links Page', $ex1);  
			    $ex3 = preg_replace('/{{content}}/', $external_content, $ex2);
				
				 $earningsfile = fopen($external_location,"w");
				 fwrite($earningsfile,$ex3);
				 fclose($earningsfile);
				$page->legal_page( $title, $title,$external_template, $funnel_id,$funnel_name);
				
				//include page_id into squeeze page footer and thankyou page footer
				$external_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$ex_show = preg_replace('/{{ex_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{external}}./', $external_pageid , $ex_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				$ex_show2 = preg_replace('/{{ex_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{external}}./', $external_pageid , $ex_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
			$dmca = $get->get_xml_data($xmlpath,"dmca");
		 	if($dmca=="yes")
		 	{    
		        $dmca_template = 'dmca_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' DMCA';
		 	    $dmca_location = $path.'/'.$dmca_template;
				$dmca_content = $get->get_xml_data($xmlpath,"dmca_content");
				
				$dmca1 = preg_replace('/{{title}}/', 'Dmca Page', $legal_reponse);
			    $dmca2 = preg_replace('/{{headline}}/', 'Dmca Page', $dmca1);  
			    $dmca3 = preg_replace('/{{content}}/', $dmca_content, $dmca2);
				
				 $dmcafile = fopen($dmca_location,"w");
				 fwrite($dmcafile,$dmca3);
				 fclose($dmcafile);
				$page->legal_page( $title, $title, $dmca_template, $funnel_id,$funnel_name);
				
				//include page_id into squeeze page footer and thankyou page footer
				$dmca_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$d_show = preg_replace('/{{d_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{dmca}}./', $dmca_pageid , $d_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				 $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				$d_show2 = preg_replace('/{{d_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{dmca}}./', $dmca_pageid , $d_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
			$support = $get->get_xml_data($xmlpath,"support");
		 	if($support=="yes")
		 	{   
		        $support_template = 'support_'.$funnel_id.'.php';
		 	    $title = $funnel_name.' Support';
		 	    $support_location = $path.'/'.$support_template;
				$support_content = $get->get_xml_data($xmlpath,"support_content");
				
				$support1 = preg_replace('/{{title}}/', 'Support Page', $legal_reponse);
			    $support2 = preg_replace('/{{headline}}/', 'Support Page', $support1);  
			    $support3 = preg_replace('/{{content}}/', $support_content, $support2);
				
				 $supportfile = fopen($support_location,"w");
				 fwrite($supportfile,$support3);
				 fclose($supportfile);
				$page->legal_page($title,$title,$support_template, $funnel_id,$funnel_name);
				
				//include page_id into squeeze page footer and thankyou page footer
				$support_pageid = get_option('ifmp_'.$title);
				$mainfile = file_get_contents($temp_path_location);
				$footer = preg_replace('/{{footer_show}}/', $show_class , $mainfile);
				$sup_show = preg_replace('/{{sup_show}}/', $show_class , $footer);
				$total = preg_replace('/.{{support}}./', $support_pageid , $sup_show);
				$tempfile = fopen($temp_path_location,"w");
				 fwrite($tempfile,$total);
				 fclose($tempfile);
				 
				 $mainfile2 = file_get_contents($thankyou_location);
				  $footer2 = preg_replace('/{{footer_show}}/', $show_class , $mainfile2);
				$sup_show2 = preg_replace('/{{sup_show}}/', $show_class , $footer2);
				$total2 = preg_replace('/.{{support}}./', $support_pageid , $sup_show2);
				$tempfile2 = fopen($thankyou_location,"w");
				 fwrite($tempfile2,$total2);
				 fclose($tempfile2);
			}
			
		 }
		 //End Legal page section
		 
			 //start sales page section
			   if($template_type=="sales"){
				   
                  // Upsell Page
				 $upsell_temp_url    = "http://dev.instantfunnelmachine.com/index.php/Api/get_upsell_templates/";
				$upsell_temp_curl   = new Curl();
				$upsell_response  =  $upsell_temp_curl->call_curl($temp,$upsell_temp_url);
				$upsell_file      = "upsell_".$funnel_id.'.php';
				$upsell_location  = $path.'/'.$upsell_file;  
				 $upsell1 = preg_replace('/{{title}}/', $funnel_name, $upsell_response);
				 $upsell2 = preg_replace('/{{paypal_email}}/', $paypal_email, $upsell1);   
				 $upsell3 = preg_replace('/{{username}}/', $username, $upsell2);  
				 //get the squeeze thankyou page url
				 $squzze_thankyou_pageid = get_option('thankyou_'.$funnel_id);
				 $upsell4 = preg_replace('/{{squeeze_thankyou}}/', $squzze_thankyou_pageid, $upsell3);  
				 $upsellpage_title = $funnel_name." Upsell Page";    
				 $upsellpage_file = fopen($upsell_location,"w");
				 fwrite($upsellpage_file,$upsell4);
				 fclose($upsellpage_file);
				 $page->sales_page($upsellpage_title,$upsellpage_title,$upsell_file, $funnel_id);
				
                 // End Upsell Page					 
				 
				//sales page   
				$sales_temp_url    = "http://dev.instantfunnelmachine.com/index.php/Api/get_sales_templates/";
				$sales_temp_curl   = new Curl();
				$sales_response =  $sales_temp_curl->call_curl($temp,$sales_temp_url);
				$sales_file      = "sales_".$funnel_id.'.php';
				$sales_location  = $path.'/'.$sales_file;  
				 $sales1 = preg_replace('/{{title}}/', $funnel_name, $sales_response);
				 $sales2 = preg_replace('/{{paypal_email}}/', $paypal_email, $sales1);   
				 $sales3 = preg_replace('/{{username}}/', $username, $sales2);  
				 //get the squeeze thankyou page url
				 $sales4 = preg_replace('/{{squeeze_thankyou}}/', $squzze_thankyou_pageid, $sales3); 
				 $sales5 = preg_replace('/{{tracking_code1}}/', $tracking_code1, $sales4);
	             $sales6 = preg_replace('/{{tracking_code2}}/', $tracking_code2, $sales5);
	             $sales7 = preg_replace('/{{fb_pixel_code}}/', $fb_pixel, $sales6);
				  //get the Upsell page id
				  $upsell_pageid = get_option('ifmp_'.$upsellpage_title);
				  $sales5 = preg_replace('/{{upsell_page}}/', $upsell_pageid, $sales7); 
				 $salespage_title = $funnel_name." Sales Page";    
				 $salespage_file = fopen($sales_location,"w");
				 fwrite($salespage_file,$sales5);
				 fclose($salespage_file);
				$sales_page_id =  $page->sales_page($salespage_title,$salespage_title,$sales_file, $funnel_id);	
				if($sales_page_id!=''){
				 update_option("sales_".$funnel_id,$sales_page_id);
				}
				$sales_page_id2 = get_option('ifmp_'.$salespage_title);
				$sell_page_link = get_permalink($sales_page_id2);
				$link_replace = str_replace('/','-ifm_sell-',$sell_page_link);
				//Replace the downloadlink on thankyou page
	$downloadlink_sales = "http://dev.instantfunnelmachine.com/index.php/Api/download_ebook/".$funnel_id."/".$link_replace;
				 $thankyou_file = file_get_contents($thankyou_location);
				$new_link = preg_replace('/{{downloadlink}}/', $downloadlink_sales, $thankyou_file);
				 $thank_file_end = fopen($thankyou_location,"w");
				 fwrite($thank_file_end,$new_link);
				 fclose($thank_file_end);
                 //End sales page 
				 
				  // Thankyou-Sales Page
				 $thankyousell_temp_url    = "http://dev.instantfunnelmachine.com/index.php/Api/get_thankyou_sales_templates/";
				$thankyousell_temp_curl   = new Curl();
				$thankyousell_response =  $thankyousell_temp_curl->call_curl($temp,$thankyousell_temp_url);
				$thankyousell_file      = "thankyousell_".$funnel_id.'.php';
				$thankyousell_location  = $path.'/'.$thankyousell_file;  
				
				$up_sell_page_link = get_permalink($upsell_pageid);
				$up_sell_page_link =  str_replace('/','-ifm_upsell-',$up_sell_page_link);
				
				$download_ebook_sales = "http://dev.instantfunnelmachine.com/index.php/Api/download/".$funnel_id."/".$up_sell_page_link."/ebooksales";
				
				$download_cheatsheet = "http://dev.instantfunnelmachine.com/index.php/Api/download/".$funnel_id."/".$up_sell_page_link."/cheatsheet";
				$download_other = "http://dev.instantfunnelmachine.com/index.php/Api/download/".$funnel_id."/".$up_sell_page_link."/other";
				 $thankyousell1 = preg_replace('/{{title}}/', $funnel_name, $thankyousell_response);
				 $thankyousell2 = preg_replace('/{{upsell_page}}/', $upsell_pageid, $thankyousell1);  
				 $thankyousell3 = preg_replace('/{{username}}/', $username, $thankyousell2);
                 $thankyousell4 = preg_replace('/{{downloadsalesebook}}/', $download_ebook_sales, $thankyousell3);				 
				 //get the squeeze thankyou page url
				 $thankyousell5 = preg_replace('/{{squeeze_thankyou}}/', $squzze_thankyou_pageid, $thankyousell4);  
				 $thankyousell6 = preg_replace('/{{downloadcheatsheet}}/', $download_cheatsheet, $thankyousell5);  
				 $thankyousell7 = preg_replace('/{{downloadotherpdf}}/', $download_other, $thankyousell6);  
				 $thankyousellpage_title = $funnel_name." Sales Thankyou Page";    
				 $thankyousellpage_file = fopen($thankyousell_location,"w");
				 fwrite($thankyousellpage_file,$thankyousell7);
				 fclose($thankyousellpage_file);
				 $page->sales_page($thankyousellpage_title,$thankyousellpage_title,$thankyousell_file, $funnel_id);
				 
				
                 // End Thankyou-Sales Page	
				 
				 // Thankyou-Upsell Page
			$thankyou_upsell_temp_url    = "http://dev.instantfunnelmachine.com/index.php/Api/get_thankyou_upsell_templates/";
				$thankyou_upsell_temp_curl   = new Curl();
				$thankyou_upsell_response =  $thankyou_upsell_temp_curl->call_curl($temp,$thankyou_upsell_temp_url);
				$thankyou_upsell_file      = "thankyou_upsell_".$funnel_id.'.php';
				$thankyou_upsell_location  = $path.'/'.$thankyou_upsell_file;  
				 $thankyou_upsell1 = preg_replace('/{{title}}/', $funnel_name, $thankyou_upsell_response);  
				 $thankyou_upsell2 = preg_replace('/{{username}}/', $username, $thankyou_upsell1);  
				 //get the squeeze thankyou page url
				 $thankyou_upsell3 = preg_replace('/{{squeeze_thankyou}}/', $squzze_thankyou_pageid, $thankyou_upsell2); 
                 $thankyou_upsell4 = preg_replace('/{{downloadsalesebook}}/', $download_ebook_sales, $thankyou_upsell3);
		         $thankyou_upsell5 = preg_replace('/{{downloadcheatsheet}}/', $download_cheatsheet, $thankyou_upsell4);$thankyou_upsell6 = preg_replace('/{{downloadotherpdf}}/', $download_other, $thankyou_upsell5);  				 
				 $thankyou_upsellpage_title = $funnel_name." Upsell Thankyou Page";    
				 $thankyou_upsellpage_file = fopen($thankyou_upsell_location,"w");
				 fwrite($thankyou_upsellpage_file,$thankyou_upsell6);
				 fclose($thankyou_upsellpage_file);
				 $page->sales_page($thankyou_upsellpage_title,$thankyou_upsellpage_title,$thankyou_upsell_file, $funnel_id);
                 // End Thankyou-Upsell Page

                 // insert thankyou-upsell and thankyou sales page ID into Upsell page Now.
                 	$upsell_update_file = file_get_contents($upsell_location);
					$thankyou_upsell_pageid = get_option('ifmp_'.$thankyou_upsellpage_title);
					$thankyou_sell_pageid = get_option('ifmp_'.$thankyousellpage_title);
					$upsell_update1 = preg_replace('/{{thankyou_upsell}}/', $thankyou_upsell_pageid , $upsell_update_file);
					$upsell_update2 = preg_replace('/{{thankyou_sales}}/', $thankyou_sell_pageid , $upsell_update1);
					$Upsell_tempfile = fopen($upsell_location,"w");
					 fwrite($Upsell_tempfile,$upsell_update2);
					 fclose($Upsell_tempfile);			 
				 
			   }
			 //end sales page section 
		 
	}
	
}


?>